package com.chenyang.nse.bussiness.engine.infa.basic.impxmlbean;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "",
   propOrder = {"foldermap", "resolveconflict"}
)
@XmlRootElement(
   name = "IMPORTPARAMS"
)
public class IMPORTPARAMS {
   @XmlElement(
      name = "FOLDERMAP",
      required = true
   )
   protected FOLDERMAP foldermap;
   @XmlElement(
      name = "RESOLVECONFLICT",
      required = true
   )
   protected RESOLVECONFLICT resolveconflict;
   @XmlAttribute(
      name = "CHECKIN_AFTER_IMPORT",
      required = true
   )
   protected String checkinafterimport;

   public FOLDERMAP getFOLDERMAP() {
      return this.foldermap;
   }

   public void setFOLDERMAP(FOLDERMAP value) {
      this.foldermap = value;
   }

   public RESOLVECONFLICT getRESOLVECONFLICT() {
      return this.resolveconflict;
   }

   public void setRESOLVECONFLICT(RESOLVECONFLICT value) {
      this.resolveconflict = value;
   }

   public String getCHECKINAFTERIMPORT() {
      return this.checkinafterimport;
   }

   public void setCHECKINAFTERIMPORT(String value) {
      this.checkinafterimport = value;
   }
}
